Page 2 of 6 FirstFirst 1234 ... LastLast
Results 11 to 20 of 54

Thread: Catalyst 12.2 released (fglrx 8.950)

  1. #11
    Join Date
    May 2010
    Beans
    9

    Re: Catalyst 12.2 released (fglrx 8.950)

    On a brand new install of Precise beta1 (Toshiba L630/hd5400series) I had to install ia32libs for the driver to compile. Installing ia32libs removed libvisual-0.4-plugins. This created the deb files ok but they would not install/configure properly because of a lib32gcc1 dependency. Installed lib32gcc1 which also installed libc6-i386 and the driver configured ok.

    Computer is now using the driver but I really haven't tested it yet.

  2. #12
    Join Date
    Jun 2009
    Location
    Alabama
    Beans
    2,232

    Re: Catalyst 12.2 released (fglrx 8.950)

    Quote Originally Posted by travisf View Post
    On a brand new install of Precise beta1 (Toshiba L630/hd5400series) I had to install ia32libs for the driver to compile. Installing ia32libs removed libvisual-0.4-plugins. This created the deb files ok but they would not install/configure properly because of a lib32gcc1 dependency. Installed lib32gcc1 which also installed libc6-i386 and the driver configured ok.

    Computer is now using the driver but I really haven't tested it yet.
    Yes, what a mess. I looked at installing ia32-libs-multiarch, but it listed so many conflicts I bailed out.

    Why does a 64-bit driver need 32-bit libraries? I will note, however, that I do have ia32-libs-multiarch installed on 11.10, where the driver installed without a hitch. I think I had to install that library one time when I was messing with Skype, or something like that.

    Tim
    Cyberpower PC, Core i5 2500 3.3 gHz, 8GB DDR3, ATI 6770 1GB, Samsung BX 2440 LED 1080p, 1 TB SATA III, 2 TB SATA III, Siduction Linux 64-bit

  3. #13
    Join Date
    Jun 2009
    Location
    Alabama
    Beans
    2,232

    Unhappy Re: Catalyst 12.2 released (fglrx 8.950)

    Installing ia32-libs-multiarch didn't help.

    I give up. I have made so many system changes trying to fix this, I think I'm going to reinstall Precise. Tomorrow.

    Good night, everybody.

    Tim
    Cyberpower PC, Core i5 2500 3.3 gHz, 8GB DDR3, ATI 6770 1GB, Samsung BX 2440 LED 1080p, 1 TB SATA III, 2 TB SATA III, Siduction Linux 64-bit

  4. #14
    Join Date
    Mar 2012
    Location
    Germany
    Beans
    92
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: Catalyst 12.2 released (fglrx 8.950)

    Quote Originally Posted by ratcheer View Post
    I will run it again and post the command and all output:

    Code:
    ./packages/Ubuntu/ati-packager.sh: 294: ./packages/Ubuntu/ati-packager.sh: debclean: not found
    /bin/sh: 4: execstack: not found
    Did you even read the error output?
    You need to install debclean(its in the package devscripts) and execstack.

    I can install fglrx 12.2 but then i cannot start Unity3D anymore and Unity2D crashes and i have no Shell. I have the desktop background and my desktop items shown but no Unity. I can start a terminal via ctrl+alt+t and start programs with it. But window moving is so ******* slow and i dont have any effects... Had to switch back to the old fglrx... 11.8 or smth like that...

  5. #15
    Join Date
    Apr 2011
    Beans
    99

    Re: Catalyst 12.2 released (fglrx 8.950)

    I too have downloaded catalyst 12.2 with kernel 3.2.0.18 , and now i cannot login to unity 3d, I have tried reloading the driver two times but with no success.

    Any advice please?

    Regards
    Northwestern

  6. #16
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Catalyst 12.2 released (fglrx 8.950)

    Quote Originally Posted by jfernyhough View Post
    I always forget about aticonfig. I think I ran it the first time I installed fglrx and haven't touched my xorg.conf since. If fglrx isn't working it's always worth a go doing $ sudo aticonfig --initial
    Aticonfig changes not only xorg.conf. There is a thread about that (I've started it 3 years ago)... http://ubuntuforums.org/showthread.php?t=1074593 ...
    Yes I'm a bit rusty about ATI proprietary drivers (gave them up years ago...) ...
    I've never used method of making .deb files but (instead) I've used
    Code:
    sudo sh ./ati...driver.run
    Last edited by zika; March 8th, 2012 at 11:00 AM.

  7. #17
    Join Date
    Jun 2009
    Location
    Alabama
    Beans
    2,232

    Red face Re: Catalyst 12.2 released (fglrx 8.950)

    Quote Originally Posted by sacridex View Post
    Did you even read the error output?
    You need to install debclean(its in the package devscripts) and execstack.
    I saw those messages, but I did not know they are packages that need to be installed.

    First, why are they not part of the standard 12.04 installation? I have been installing fglrx for several Ubuntu releases and never had to install all of this stuff manually, before.

    I can go with debclean, though I don't understand why it wouldn't have been included with dpkg-dev. How would I have known about devscripts?

    But execstack sounds more like an internal system call than a package.

    Is there some documentation somewhere that instructs me on all the additional packages that have to be installed to install a driver? Again, this all sounds new for 12.04, to me. They have obviously left stuff out that was included, before.

    Tim
    Cyberpower PC, Core i5 2500 3.3 gHz, 8GB DDR3, ATI 6770 1GB, Samsung BX 2440 LED 1080p, 1 TB SATA III, 2 TB SATA III, Siduction Linux 64-bit

  8. #18
    Join Date
    Jun 2009
    Location
    Alabama
    Beans
    2,232

    Post Re: Catalyst 12.2 released (fglrx 8.950)

    Besides devscripts and execstack, I also had to install something called dh-modaliases. Now, the deb packages have finally built, successfully.

    Tim
    Cyberpower PC, Core i5 2500 3.3 gHz, 8GB DDR3, ATI 6770 1GB, Samsung BX 2440 LED 1080p, 1 TB SATA III, 2 TB SATA III, Siduction Linux 64-bit

  9. #19
    Join Date
    Jun 2009
    Location
    Alabama
    Beans
    2,232

    Post Re: Catalyst 12.2 released (fglrx 8.950)

    The new driver is working pretty well. amdcccle crashes when I try to make certain changes. Sometimes the screen goes black (e.g., when I need to enter the administrator password for amdcccle), but then it goes back to normal.

    Also, all the digital artifact mess after entering the logon password, before Unity comes up, is gone. That is very good.

    Tim
    Cyberpower PC, Core i5 2500 3.3 gHz, 8GB DDR3, ATI 6770 1GB, Samsung BX 2440 LED 1080p, 1 TB SATA III, 2 TB SATA III, Siduction Linux 64-bit

  10. #20
    Join Date
    Jul 2007
    Beans
    Hidden!

    Re: Catalyst 12.2 released (fglrx 8.950)

    I tried to install the new 12.2 today. Installation seemed to work quite well. But take look at this:

    $ uname -a
    Linux TEST 3.2.0-18-generic #28-Ubuntu SMP Fri Mar 2 20:02:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
    $ sudo apt-cache policy fglrx fglrx-dev fglrx-amdcccle
    fglrx:
    Installed: 2:8.950-0ubuntu1
    Candidate: 2:8.950-0ubuntu1
    Version table:
    *** 2:8.950-0ubuntu1 0
    100 /var/lib/dpkg/status
    2:8.911-0ubuntu2 0
    500 http://de.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages
    fglrx-dev:
    Installed: 2:8.950-0ubuntu1
    Candidate: 2:8.950-0ubuntu1
    Version table:
    *** 2:8.950-0ubuntu1 0
    100 /var/lib/dpkg/status
    2:8.911-0ubuntu2 0
    500 http://de.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages
    fglrx-amdcccle:
    Installed: 2:8.950-0ubuntu1
    Candidate: 2:8.950-0ubuntu1
    Version table:
    *** 2:8.950-0ubuntu1 0
    100 /var/lib/dpkg/status
    2:8.911-0ubuntu2 0
    500 http://de.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages
    Up to this everything looks alright. But then:



    @ratcheer
    What Catalyst Version is showing on your amdcccle?

    Does anybody know if there is another possibility to find out which catalyst version is running? Any ideas? Or did AMD simply forgot to update version string in their fglrx.ko?

    And yes, I restarted the box to make sure the new fglrx module is loaded.
    Last edited by wireded; March 8th, 2012 at 03:27 PM. Reason: OK ... I had to delete /etc/ati/amdpcsdb. Now everything looks right.

Page 2 of 6 FirstFirst 1234 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •